from installclass import BaseInstallClass
import os
import iutil
from autopart import autoCreatePartitionRequests
#from kickstart import AnacondaKSScript
import types
import logging
log = logging.getLogger("anaconda")

class ExampleInstallClass(BaseInstallClass):
    pixmap = "workstation.png"

    def getPackagePaths(self, uri):
        rc = {}
        for (name, path) in self.repopaths.items():
            log.info("package is %s path is %s" %(name,path,))
            if not type(uri) == types.ListType:
                uri = [uri,]
            if not type(path) == types.ListType:
                path = [path,]

            lst = []
            for i in uri:
                for p in path:
                    lst.append("%s/%s" % (i, p))

            rc[name] = lst

        log.info("package paths is %s" %(rc,))
        return rc


    def setInstallData(self, anaconda):
	anaconda.id.reset(anaconda)
	anaconda.id.instClass = self

	self.setTimezoneInfo( anaconda.id ,"America/Chicago",1)


    def __init__(self, expert):
	BaseInstallClass.__init__(self, expert)

